From 6496bbaf1516dae3b48ae803387473aaf91f6cf1 Mon Sep 17 00:00:00 2001
From: Incardona Pietro <incardon@mpi-cbg.de>
Date: Mon, 9 May 2022 12:10:58 +0200
Subject: [PATCH] Disable ZLIB

---
 script/install_HDF5.sh | 48 +++++++++++++++++++++---------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

diff --git a/script/install_HDF5.sh b/script/install_HDF5.sh
index 11fcebf43..ffe608134 100755
--- a/script/install_HDF5.sh
+++ b/script/install_HDF5.sh
@@ -11,30 +11,30 @@ if [ -d "$1/HDF5" -a -f "$1/HDF5/include/hdf5.h" ]; then
   exit 0
 fi
 
-if [ ! -d "$1/ZLIB"  -a x"$platform" != x"cygwin" ]; then
-  rm zlib-1.2.12.tar.gz
-  rm -rf zlib-1.2.12
-  wget http://zlib.net/zlib-1.2.12.tar.gz 
-  if [ $? -ne 0 ]; then
-    echo -e "\033[91;5;1m FAILED! Installation requires an Internet connection \033[0m"
-    exit 1
-  fi
-  tar -xf zlib-1.2.12.tar.gz
-  cd zlib-1.2.12
-
-  CC=mpicc CFLAGS=-fPIC  ./configure --prefix=$1/ZLIB
-  make -j $2
-  if [ $? -eq 0 ]; then
-    make check install
-  else
-    echo -e "\033[91;5;1m ZLIB Installation FAILED \033[0m"
-    exit 1
-  fi
-  cd ..
-
-else
-  echo "ZLIB is already installed"
-fi
+#if [ ! -d "$1/ZLIB"  -a x"$platform" != x"cygwin" ]; then
+#  rm zlib-1.2.12.tar.gz
+#  rm -rf zlib-1.2.12
+#  wget http://zlib.net/zlib-1.2.12.tar.gz 
+#  if [ $? -ne 0 ]; then
+#    echo -e "\033[91;5;1m FAILED! Installation requires an Internet connection \033[0m"
+#    exit 1
+#  fi
+#  tar -xf zlib-1.2.12.tar.gz
+#  cd zlib-1.2.12
+
+#  CC=mpicc CFLAGS=-fPIC  ./configure --prefix=$1/ZLIB
+#  make -j $2
+#  if [ $? -eq 0 ]; then
+#    make check install
+#  else
+#    echo -e "\033[91;5;1m ZLIB Installation FAILED \033[0m"
+#    exit 1
+#  fi
+#  cd ..
+
+#else
+#  echo "ZLIB is already installed"
+#fi
 
 
 ### 1.8.19 does not compile on CYGWIN
-- 
GitLab